Subject: bug#9597: 23.3; [diff-mode] Can't quite cope with git patches

From: Stefan Monnier <[email-masked]>
Date: Sun, 25 Sep 2011 22:08:34 -0400

> I suppose that modifying the buffer with inserting a newline
> is a temporary workaround for some earlier bug, so I added
> a check for the diff separator in another condition branch.

No, it's not outdated.
The issue is in diff-end-of-hunk where we can sometimes use the numbers
but not always.
Also, adding a newline makes the thing less ambiguous in cases such as
when the user edits the hunks (in which case we need to update the hunk
header based on the hunk text).

        Stefan